execute as @a at @s run function main:pressure_plate/set_score
function main:firetick/tick

#PLAYSOUNDS
execute as @e[tag=playsound_firework] at @s run playsound minecraft:entity.firework_rocket.launch master @s ~ ~ ~ 0.2 1
tag @e remove playsound_firework

effect give @a saturation 100000 255 true

#On join
execute as @a[tag=!joined] run function main:on_join

kill @e[type=item]

#hay block
execute unless entity @a[x=-18,y=70,z=39,distance=..3] run setblock -18 69 39 farmland[moisture=7]
execute unless entity @a[x=-18,y=70,z=39,distance=..3] run setblock -18 70 39 wheat[age=7]
execute if entity @a[x=-18,y=70,z=39,distance=..3] run setblock -18 70 39 hay_block

effect give @a[x=-21,y=94,z=42,dx=0,dy=12,dz=0] levitation 1 1 true
effect clear @a[x=-21,y=109,z=42,dx=0,dy=1,dz=0] levitation
particle end_rod -21 99 42 0.2 4 0.2 0 1 normal

#water kill
execute as @a at @s positioned ~ 65 ~ as @s[distance=..5] run tag @s add water_damage
execute as @a[tag=ingame,tag=water_damage] at @s positioned ~ 51 ~ as @s[distance=..1] at @s if block ~ ~ ~ water run kill @s

#Reset scores at spawn
scoreboard players reset @a[x=0,y=52,z=-127,distance=..5] time
scoreboard players reset @a[x=0,y=52,z=-127,distance=..5] time_tick
tag @a[x=0,y=52,z=-127,distance=..5] remove ingame

#time
scoreboard players add @a[tag=ingame] time_tick 1
scoreboard players add @a[tag=ingame,scores={time_tick=20}] time 1
scoreboard players set @a[scores={time_tick=20}] time_tick 0

#time display
execute as @e[type=armor_stand,name=console] run function main:set_display

execute as @a[x=0,y=240,z=0,distance=..30,tag=ingame] at @s run function main:finish

scoreboard players set @e[type=armor_stand,name=console] endplayers 0
execute if entity @a[x=-60,y=228,z=-60,dx=120,dy=30,dz=120] run scoreboard players set @e[type=armor_stand,name=console] endplayers 1
execute as @e[type=armor_stand,name=console,tag=finish,scores={endplayers=0}] at @s run function main:reset_end

execute as @e[type=firework_rocket,x=-1,y=203,z=2,distance=..5] at @s run function main:firework

#timers
execute as @e[type=armor_stand,name=console,tag=text_timer] at @s run function main:timer/text/tick
execute as @e[type=armor_stand,name=console,tag=firework_timer] at @s run function main:timer/firework/tick
execute as @a[tag=win_timer] at @s run function main:timer/win/tick

#reset trigger
scoreboard players enable @a reset
tag @a[scores={reset=1}] remove joined
scoreboard players set @a reset 0

#reset PB trigger
scoreboard players enable @a reset_PB
scoreboard players set @a[scores={reset_PB=1}] time_pb 2147483647
tellraw @a[scores={reset_PB=1}] [{"text":"PB: ","color":"gold","bold":true},{"text":"Your personal best has been reset","bold":false,"color":"gray"}]
scoreboard players set @a reset_PB 0

#restart trigger
scoreboard players enable @a restart
execute as @a[scores={restart=1}] run function main:restart
scoreboard players set @a restart 0

execute as @a[tag=set] at @s run setblock ~ ~-2 ~ minecraft:repeating_command_block[conditional=false,facing=up]{auto:0b,powered:0b,LastExecution:287118L,SuccessCount:1,UpdateLastExecution:1b,conditionMet:1b,CustomName:'{"text":""}',Command:"function main:pressure_plate/checkpoint/active",TrackOutput:0b} destroy
tag @a remove set